# Class JsDialogManager

java.lang.Object
jspecview.dialog.DialogManager
jspecview.js2d.JsDialogManager

public class JsDialogManager extends DialogManager
A DialogManager for JavaScript.

Author:
  hansonr

## Field Summary

### Fields inherited from class DialogManager

`ERROR_MESSAGE, htDialogs, INFORMATION_MESSAGE, PLAIN_MESSAGE, QUESTION_MESSAGE, vwr, WARNING_MESSAGE`

## Constructor Summary

Constructors
Constructor
Description
`JsDialogManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(String eventId)`
Jmol.Swing.click() callback (via SwingController)
`PlatformDialog`
`getDialog(JSVDialog jsvDialog)`
`String`
`getDialogInput(Object parentComponent, String phrase, String title, int msgType, Object icon, Object[] objects, String defaultStr)`
`int[]`
`getLocationOnScreen(Object component)`
`int`
`getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String dialogName, String labelName)`
`void`
`showMessage(Object frame, String text, String title)`
`void`
`showMessageDialog(Object parentComponent, String msg, String title, int msgType)`
`void`
`showProperties(Object frame, Spectrum spectrum)`
Looks a lot like Swing, right? :)

### Methods inherited from class DialogManager

`fixTitle, getSelectorName, processClick, processTableEvent, processWindowClosing, registerDialog, registerSelector, set, showSource, showSourceErrors`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsDialogManager

public JsDialogManager()

## Method Details

### getDialog

public PlatformDialog getDialog(JSVDialog jsvDialog)

Specified by:
  `getDialog` in class `DialogManager`

### getDialogInput

public String getDialogInput(Object parentComponent, String phrase, String title, int msgType, Object icon, Object[] objects, String defaultStr)

Specified by:
  `getDialogInput` in class `DialogManager`

### showMessageDialog

public void showMessageDialog(Object parentComponent, String msg, String title, int msgType)

Specified by:
  `showMessageDialog` in class `DialogManager`

### getLocationOnScreen

public int[] getLocationOnScreen(Object component)

Specified by:
  `getLocationOnScreen` in class `DialogManager`

### getOptionFromDialog

public int getOptionFromDialog(Object frame, String[] items, JSVPanel jsvp, String dialogName, String labelName)

Specified by:
  `getOptionFromDialog` in class `DialogManager`

### showProperties

public void showProperties(Object frame, Spectrum spectrum)
Looks a lot like Swing, right? :)

Specified by:
  `showProperties` in class `DialogManager`

### showMessage

public void showMessage(Object frame, String text, String title)

Specified by:
  `showMessage` in class `DialogManager`

### actionPerformed

public void actionPerformed(String eventId)
Jmol.Swing.click() callback (via SwingController)

Parameters:
  `eventId` -